#!/usr/bin/env python3

from Cryptotools.Encryptions.RSA import RSA


rsa = RSA()
rsa.generateKeys(size=512)

e = rsa.e
d = rsa.d
n = rsa.n

s = "I am encrypted with RSA"
print(f"plaintext: {s}")
encrypted = rsa.encrypt(s)

# Encrypt data
# print(f"ciphertext: {encrypted}")

# We decrypt
plaintext = rsa.decrypt(encrypted)
print(f"Plaintext: {plaintext}")
